from django.contrib import admin
from django.contrib.auth.models import Group as AuthGroup

from .models import User

admin.site.unregister(AuthGroup)
admin.site.site_header = "Alligator"
admin.site.site_title = "Alligator"


@admin.register(User)
class UserAdmin(admin.ModelAdmin):
    actions = None
    preserve_filters = True

    list_display = ("full_name", "is_staff", "is_superuser")

    list_filter = ("is_staff", "is_superuser")

    fields = (
        "full_name",
        "sso_id",
        "is_staff",
        "is_superuser",
        "services",
        "user_permissions",
    )

    readonly_fields = ("full_name", "sso_id", "user_permissions")

    filter_horizontal = ("services", "user_permissions")

    @admin.display(description="jméno")
    def full_name(self, obj):
        return obj.get_full_name()

    def has_add_permission(self, request, obj=None):
        return False
